# Alert duration and timing configuration
variable "interval_seconds" {
  description = "Interval in seconds for evaluating alerts"
  type        = number
  default     = 60
}

variable "default_interval_ms" {
  description = "Default interval in milliseconds for evaluating alert expressions"
  type        = number
  default     = 60000
}

variable "default_max_data_points" {
  description = "Default maximum number of data points"
  type        = number
  default     = 43200
}

variable "default_no_data_state" {
  description = "Default no data state for alerts"
  type        = string
  default     = "OK"
}

variable "default_exec_err_state" {
  description = "Default execution error state for alerts"
  type        = string
  default     = "Error"
}

variable "default_alert_duration" {
  description = "Default duration (in seconds) for how long a condition must be true before alerting"
  type        = number
  default     = 300 # 5 minutes
}

variable "default_evaluation_interval" {
  description = "Default interval (in seconds) between alert rule evaluations"
  type        = number
  default     = 60 # 1 minute
}

variable "default_time_range_from" {
  description = "Default time range (in seconds) for main query lookback"
  type        = number
  default     = 604800 # 7 days
}

variable "default_processing_range" {
  description = "Default time range (in seconds) for processing blocks"
  type        = number
  default     = 600 # 10 minutes
}
